import { world } from "@minecraft/server";
import { backpackSpawn } from "../events/backpack_controller";
export function itemUseController(event) {
  const player = event.source;
  const typeId = player.typeId;
  if (typeId !== "minecraft:player") return;
  const holdingItem = player.getComponent("equippable").getEquipment("Mainhand");
  if (holdingItem == undefined) return;
  // if (holdingItem.typeId.includes("hb_cb:") && holdingItem.typeId.includes("backpack")) backpackSpawn(player, holdingItem);
}
